<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::UnitTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1UnitTest.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">testing::UnitTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2febc800536b44500565f4c423f359d3"><td class="memItemLeft" align="right" valign="top"><a id="a2febc800536b44500565f4c423f359d3"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>Run</b> () GTEST_MUST_USE_RESULT_</td></tr>
<tr class="separator:a2febc800536b44500565f4c423f359d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6809b7747785c80f7a2f31f6b39b152"><td class="memItemLeft" align="right" valign="top"><a id="af6809b7747785c80f7a2f31f6b39b152"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>original_working_dir</b> () const</td></tr>
<tr class="separator:af6809b7747785c80f7a2f31f6b39b152"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafbaafe78ecb5c3dd76849385b04d35e"><td class="memItemLeft" align="right" valign="top"><a id="aafbaafe78ecb5c3dd76849385b04d35e"></a>
const <a class="el" href="classtesting_1_1TestSuite.html">TestSuite</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>current_test_suite</b> () const GTEST_LOCK_EXCLUDED_(mutex_)</td></tr>
<tr class="separator:aafbaafe78ecb5c3dd76849385b04d35e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bf61896036ae03edbd7bceed14f9e18"><td class="memItemLeft" align="right" valign="top"><a id="a2bf61896036ae03edbd7bceed14f9e18"></a>
const TestCase *&#160;</td><td class="memItemRight" valign="bottom"><b>current_test_case</b> () const GTEST_LOCK_EXCLUDED_(mutex_)</td></tr>
<tr class="separator:a2bf61896036ae03edbd7bceed14f9e18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a088eaf814a33085ace3d881d22e6bdea"><td class="memItemLeft" align="right" valign="top"><a id="a088eaf814a33085ace3d881d22e6bdea"></a>
const <a class="el" href="classtesting_1_1TestInfo.html">TestInfo</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>current_test_info</b> () const GTEST_LOCK_EXCLUDED_(mutex_)</td></tr>
<tr class="separator:a088eaf814a33085ace3d881d22e6bdea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adddc090a06f2d3a0e68f3762ee262688"><td class="memItemLeft" align="right" valign="top"><a id="adddc090a06f2d3a0e68f3762ee262688"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>random_seed</b> () const</td></tr>
<tr class="separator:adddc090a06f2d3a0e68f3762ee262688"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9db8831a87fddaf3e34d5a30a40dd624"><td class="memItemLeft" align="right" valign="top"><a id="a9db8831a87fddaf3e34d5a30a40dd624"></a>
<a class="el" href="classtesting_1_1internal_1_1ParameterizedTestSuiteRegistry.html">internal::ParameterizedTestSuiteRegistry</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>parameterized_test_registry</b> () GTEST_LOCK_EXCLUDED_(mutex_)</td></tr>
<tr class="separator:a9db8831a87fddaf3e34d5a30a40dd624"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefa4c6654fed9a70c6c5ca61abae2234"><td class="memItemLeft" align="right" valign="top"><a id="aefa4c6654fed9a70c6c5ca61abae2234"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>successful_test_suite_count</b> () const</td></tr>
<tr class="separator:aefa4c6654fed9a70c6c5ca61abae2234"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a118a74c8cc3845653893ed17245f44ac"><td class="memItemLeft" align="right" valign="top"><a id="a118a74c8cc3845653893ed17245f44ac"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>failed_test_suite_count</b> () const</td></tr>
<tr class="separator:a118a74c8cc3845653893ed17245f44ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8ed6d43a95405a860fdd898bf0c1a87"><td class="memItemLeft" align="right" valign="top"><a id="af8ed6d43a95405a860fdd898bf0c1a87"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>total_test_suite_count</b> () const</td></tr>
<tr class="separator:af8ed6d43a95405a860fdd898bf0c1a87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade4726c8283513bd2b3391c600503790"><td class="memItemLeft" align="right" valign="top"><a id="ade4726c8283513bd2b3391c600503790"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>test_suite_to_run_count</b> () const</td></tr>
<tr class="separator:ade4726c8283513bd2b3391c600503790"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaa2ab71f53c25ffe0242a91c14e173f"><td class="memItemLeft" align="right" valign="top"><a id="acaa2ab71f53c25ffe0242a91c14e173f"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>successful_test_case_count</b> () const</td></tr>
<tr class="separator:acaa2ab71f53c25ffe0242a91c14e173f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc0fa297a4103f7cdd9627ae27d9d0ef"><td class="memItemLeft" align="right" valign="top"><a id="abc0fa297a4103f7cdd9627ae27d9d0ef"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>failed_test_case_count</b> () const</td></tr>
<tr class="separator:abc0fa297a4103f7cdd9627ae27d9d0ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93fc8f4eebc3212d06468ad216830ced"><td class="memItemLeft" align="right" valign="top"><a id="a93fc8f4eebc3212d06468ad216830ced"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>total_test_case_count</b> () const</td></tr>
<tr class="separator:a93fc8f4eebc3212d06468ad216830ced"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a965248fbe72f9fede5de921b6666943b"><td class="memItemLeft" align="right" valign="top"><a id="a965248fbe72f9fede5de921b6666943b"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>test_case_to_run_count</b> () const</td></tr>
<tr class="separator:a965248fbe72f9fede5de921b6666943b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49ee8056e357ad497e67399447dd5a40"><td class="memItemLeft" align="right" valign="top"><a id="a49ee8056e357ad497e67399447dd5a40"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>successful_test_count</b> () const</td></tr>
<tr class="separator:a49ee8056e357ad497e67399447dd5a40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0082c74809be04baf7e43842ddac4ae5"><td class="memItemLeft" align="right" valign="top"><a id="a0082c74809be04baf7e43842ddac4ae5"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>skipped_test_count</b> () const</td></tr>
<tr class="separator:a0082c74809be04baf7e43842ddac4ae5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace1c860482b4ae5c341df5a9665e5c08"><td class="memItemLeft" align="right" valign="top"><a id="ace1c860482b4ae5c341df5a9665e5c08"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>failed_test_count</b> () const</td></tr>
<tr class="separator:ace1c860482b4ae5c341df5a9665e5c08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a2835db178d5c8569507db9f0a3d54f"><td class="memItemLeft" align="right" valign="top"><a id="a2a2835db178d5c8569507db9f0a3d54f"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>reportable_disabled_test_count</b> () const</td></tr>
<tr class="separator:a2a2835db178d5c8569507db9f0a3d54f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad69ccf3d4a9bc7333badeafbde3bc76b"><td class="memItemLeft" align="right" valign="top"><a id="ad69ccf3d4a9bc7333badeafbde3bc76b"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>disabled_test_count</b> () const</td></tr>
<tr class="separator:ad69ccf3d4a9bc7333badeafbde3bc76b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a449d0e0350ef146040cd37679c005248"><td class="memItemLeft" align="right" valign="top"><a id="a449d0e0350ef146040cd37679c005248"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>reportable_test_count</b> () const</td></tr>
<tr class="separator:a449d0e0350ef146040cd37679c005248"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6e02fcf76fd7247687f4e8af6e7ef41"><td class="memItemLeft" align="right" valign="top"><a id="af6e02fcf76fd7247687f4e8af6e7ef41"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>total_test_count</b> () const</td></tr>
<tr class="separator:af6e02fcf76fd7247687f4e8af6e7ef41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a461f46b2976f135d2a65e8d3def746e9"><td class="memItemLeft" align="right" valign="top"><a id="a461f46b2976f135d2a65e8d3def746e9"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>test_to_run_count</b> () const</td></tr>
<tr class="separator:a461f46b2976f135d2a65e8d3def746e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d83fe1cc5570a1c34f9754b0f56d65f"><td class="memItemLeft" align="right" valign="top"><a id="a3d83fe1cc5570a1c34f9754b0f56d65f"></a>
TimeInMillis&#160;</td><td class="memItemRight" valign="bottom"><b>start_timestamp</b> () const</td></tr>
<tr class="separator:a3d83fe1cc5570a1c34f9754b0f56d65f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf608411a17cb3b40a1e9d724f262b3b"><td class="memItemLeft" align="right" valign="top"><a id="acf608411a17cb3b40a1e9d724f262b3b"></a>
TimeInMillis&#160;</td><td class="memItemRight" valign="bottom"><b>elapsed_time</b> () const</td></tr>
<tr class="separator:acf608411a17cb3b40a1e9d724f262b3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c9b327bc14cb8a282c789dc6513a55b"><td class="memItemLeft" align="right" valign="top"><a id="a7c9b327bc14cb8a282c789dc6513a55b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Passed</b> () const</td></tr>
<tr class="separator:a7c9b327bc14cb8a282c789dc6513a55b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a706f29e765916616b11a271a65948727"><td class="memItemLeft" align="right" valign="top"><a id="a706f29e765916616b11a271a65948727"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Failed</b> () const</td></tr>
<tr class="separator:a706f29e765916616b11a271a65948727"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9875be4cde301a6bef1788cdd65a0f84"><td class="memItemLeft" align="right" valign="top"><a id="a9875be4cde301a6bef1788cdd65a0f84"></a>
const <a class="el" href="classtesting_1_1TestSuite.html">TestSuite</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetTestSuite</b> (int i) const</td></tr>
<tr class="separator:a9875be4cde301a6bef1788cdd65a0f84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a724d4c8be4481e0c1523a22b72dc7dac"><td class="memItemLeft" align="right" valign="top"><a id="a724d4c8be4481e0c1523a22b72dc7dac"></a>
const TestCase *&#160;</td><td class="memItemRight" valign="bottom"><b>GetTestCase</b> (int i) const</td></tr>
<tr class="separator:a724d4c8be4481e0c1523a22b72dc7dac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa59dde4c3dc43a920ed142a27670686c"><td class="memItemLeft" align="right" valign="top"><a id="aa59dde4c3dc43a920ed142a27670686c"></a>
const <a class="el" href="classtesting_1_1TestResult.html">TestResult</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>ad_hoc_test_result</b> () const</td></tr>
<tr class="separator:aa59dde4c3dc43a920ed142a27670686c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac10085cf7c0d1751306db10cdd953cb"><td class="memItemLeft" align="right" valign="top"><a id="aac10085cf7c0d1751306db10cdd953cb"></a>
<a class="el" href="classtesting_1_1TestEventListeners.html">TestEventListeners</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>listeners</b> ()</td></tr>
<tr class="separator:aac10085cf7c0d1751306db10cdd953cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a24192400b70b3b946746954e9574fb8e"><td class="memItemLeft" align="right" valign="top"><a id="a24192400b70b3b946746954e9574fb8e"></a>
static <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetInstance</b> ()</td></tr>
<tr class="separator:a24192400b70b3b946746954e9574fb8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:ada54bdd5bdc24f39b9ca16807326654a"><td class="memItemLeft" align="right" valign="top"><a id="ada54bdd5bdc24f39b9ca16807326654a"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>ScopedTrace</b></td></tr>
<tr class="separator:ada54bdd5bdc24f39b9ca16807326654a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b78b1c2e1fa07ffed92da365593eaa4"><td class="memItemLeft" align="right" valign="top"><a id="a5b78b1c2e1fa07ffed92da365593eaa4"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>Test</b></td></tr>
<tr class="separator:a5b78b1c2e1fa07ffed92da365593eaa4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a183151aa061362c87572e743fe233db1"><td class="memItemLeft" align="right" valign="top"><a id="a183151aa061362c87572e743fe233db1"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>internal::AssertHelper</b></td></tr>
<tr class="separator:a183151aa061362c87572e743fe233db1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc037d188dab349a94868991955c9cd4"><td class="memItemLeft" align="right" valign="top"><a id="adc037d188dab349a94868991955c9cd4"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>internal::StreamingListenerTest</b></td></tr>
<tr class="separator:adc037d188dab349a94868991955c9cd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae970f89a9f477a349fe5778be85ef42e"><td class="memItemLeft" align="right" valign="top"><a id="ae970f89a9f477a349fe5778be85ef42e"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>internal::UnitTestRecordPropertyTestHelper</b></td></tr>
<tr class="separator:ae970f89a9f477a349fe5778be85ef42e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ec26e4c31220ff8e769cc09689a4d6d"><td class="memItemLeft" align="right" valign="top"><a id="a5ec26e4c31220ff8e769cc09689a4d6d"></a>
<a class="el" href="classtesting_1_1Environment.html">Environment</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>AddGlobalTestEnvironment</b> (<a class="el" href="classtesting_1_1Environment.html">Environment</a> *env)</td></tr>
<tr class="separator:a5ec26e4c31220ff8e769cc09689a4d6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10a8ae91fd7f514eff96a6330343e775"><td class="memItemLeft" align="right" valign="top"><a id="a10a8ae91fd7f514eff96a6330343e775"></a>
std::set&lt; std::string &gt; *&#160;</td><td class="memItemRight" valign="bottom"><b>internal::GetIgnoredParameterizedTestSuites</b> ()</td></tr>
<tr class="separator:a10a8ae91fd7f514eff96a6330343e775"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56e56be7066957d612e53b5c60f6ac08"><td class="memItemLeft" align="right" valign="top"><a id="a56e56be7066957d612e53b5c60f6ac08"></a>
internal::UnitTestImpl *&#160;</td><td class="memItemRight" valign="bottom"><b>internal::GetUnitTestImpl</b> ()</td></tr>
<tr class="separator:a56e56be7066957d612e53b5c60f6ac08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73f5a158c13793b90c80d854c9a75120"><td class="memItemLeft" align="right" valign="top"><a id="a73f5a158c13793b90c80d854c9a75120"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>internal::ReportFailureInUnknownLocation</b> (TestPartResult::Type result_type, const std::string &amp;message)</td></tr>
<tr class="separator:a73f5a158c13793b90c80d854c9a75120"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="gtest_8h_source.html">gtest.h</a></li>
<li>gtest.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
